Bug 2241947 - [abrt] nm-connection-editor: __strcmp_avx2(): nm-connection-editor killed by SIGSEGV
Summary: [abrt] nm-connection-editor: __strcmp_avx2(): nm-connection-editor killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 39
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6e4d89e2f6135071f824fa430f6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-03 14:55 UTC by Kyle Martin
Modified: 2023-11-03 18:39 UTC (History)
6 users (show)

Fixed In Version: network-manager-applet-1.34.0-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-03 18:39:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.43 KB, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: maps (3.94 KB, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: limits (1.29 KB, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: environ (3.32 KB, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: open_fds (2.95 KB, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: mountinfo (3.09 KB, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: os_info (756 bytes, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: cpuinfo (3.04 KB, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: core_backtrace (16.87 KB, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: exploitable (81 bytes, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: dso_list (821 bytes, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details
File: backtrace (77.05 KB, text/plain)
2023-10-03 14:55 UTC, Kyle Martin
no flags Details

Description Kyle Martin 2023-10-03 14:55:35 UTC
Description of problem:
importing ovpn config caused crash

Version-Release number of selected component:
nm-connection-editor-1.32.0-2.fc39

Additional info:
reporter:       libreport-2.17.11
type:           CCpp
reason:         nm-connection-editor killed by SIGSEGV
journald_cursor: s=97a4f71b09f742b7898e019533624ae1;i=8e18;b=c87d77fc2c0e46d8a9a2bbaa1eab91f3;m=58a534a1;t=606d104e3d2dd;x=5e714a7b983fc428
executable:     /usr/bin/nm-connection-editor
cmdline:        nm-connection-editor
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-org.gnome.Terminal.slice/vte-spawn-11edd2b3-a692-44a5-868b-2b97838cd5ab.scope
rootdir:        /
uid:            1000
kernel:         6.5.5-300.fc39.x86_64
package:        nm-connection-editor-1.32.0-2.fc39
runlevel:       N 5
backtrace_rating: 4
crash_function: __strcmp_avx2
comment:        importing ovpn config caused crash

Truncated backtrace:
Thread no. 1 (13 frames)
 #0 __strcmp_avx2 at ../sysdeps/x86_64/multiarch/strcmp-avx2.S:283
 #1 import_vpn_from_file_cb at ../src/connection-editor/connection-helpers.c:275
 #3 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3980
 #4 signal_emit_valist_unlocked at ../gobject/gsignal.c:3612
 #7 _g_closure_invoke_va at ../gobject/gclosure.c:895
 #8 signal_emit_valist_unlocked at ../gobject/gsignal.c:3516
 #11 gtk_button_clicked at ../gtk/gtkbutton.c:1541
 #12 gtk_button_finish_activate at ../gtk/gtkbutton.c:2042
 #13 button_activate_timeout at ../gtk/gtkbutton.c:1984
 #17 g_main_context_dispatch_unlocked at ../glib/gmain.c:4284
 #18 g_main_context_iterate_unlocked.isra.0 at ../glib/gmain.c:4349
 #19 g_main_context_iteration at ../glib/gmain.c:4414
 #20 g_application_run at ../gio/gapplication.c:2577

Comment 1 Kyle Martin 2023-10-03 14:55:39 UTC
Created attachment 1991863 [details]
File: proc_pid_status

Comment 2 Kyle Martin 2023-10-03 14:55:40 UTC
Created attachment 1991864 [details]
File: maps

Comment 3 Kyle Martin 2023-10-03 14:55:42 UTC
Created attachment 1991865 [details]
File: limits

Comment 4 Kyle Martin 2023-10-03 14:55:43 UTC
Created attachment 1991866 [details]
File: environ

Comment 5 Kyle Martin 2023-10-03 14:55:44 UTC
Created attachment 1991867 [details]
File: open_fds

Comment 6 Kyle Martin 2023-10-03 14:55:45 UTC
Created attachment 1991868 [details]
File: mountinfo

Comment 7 Kyle Martin 2023-10-03 14:55:47 UTC
Created attachment 1991869 [details]
File: os_info

Comment 8 Kyle Martin 2023-10-03 14:55:48 UTC
Created attachment 1991870 [details]
File: cpuinfo

Comment 9 Kyle Martin 2023-10-03 14:55:50 UTC
Created attachment 1991871 [details]
File: core_backtrace

Comment 10 Kyle Martin 2023-10-03 14:55:51 UTC
Created attachment 1991872 [details]
File: exploitable

Comment 11 Kyle Martin 2023-10-03 14:55:52 UTC
Created attachment 1991873 [details]
File: dso_list

Comment 12 Kyle Martin 2023-10-03 14:55:53 UTC
Created attachment 1991874 [details]
File: backtrace

Comment 13 Beniamino Galvani 2023-10-03 15:54:27 UTC
Fixed upstream, needs a backport or rebase of the package:

https://gitlab.gnome.org/GNOME/network-manager-applet/-/issues/178

Comment 14 sunymon 2023-10-14 02:43:55 UTC
trying to a import a file for opnvpn


reporter:       libreport-2.17.11
type:           CCpp
reason:         nm-connection-editor killed by SIGSEGV
journald_cursor: s=eeea9e4b224344ea8e95357310a88876;i=5ebae;b=f6a728dacbb64c02a8eb88ca8063822a;m=4117ec44;t=607a41879c580;x=d650ab8ddb9c768b
executable:     /usr/bin/nm-connection-editor
cmdline:        nm-connection-editor
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-kitty-8448.scope
rootdir:        /
uid:            1000
kernel:         6.5.6-300.fc39.x86_64
package:        nm-connection-editor-1.32.0-2.fc39
runlevel:       N 5
backtrace_rating: 4
crash_function: __strcmp_avx2
comment:        trying to a import a file for opnvpn

Comment 15 Fedora Update System 2023-10-16 17:17:04 UTC
FEDORA-2023-0d5ea054c7 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0d5ea054c7

Comment 16 Fedora Update System 2023-10-17 01:41:48 UTC
FEDORA-2023-0d5ea054c7 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0d5ea054c7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0d5ea054c7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2023-11-03 18:39:00 UTC
FEDORA-2023-0d5ea054c7 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.